Download OpenAPI specification:Download
REST API for implementations of custom v2 Authority Provider
Connector Information API. Each connector may have multiple functions represented by FunctionGroupCode. For each FunctionGroupCode there is a list of implemented end points. These endpoints must be according the specified interface, this is validated by the core. You can also implement helper end points that are used for callbacks and other relevant operations specific to implementation.
Returns map of functional code and implemented end points
[- {
- "functionGroupCode": "credentialProvider",
- "kinds": [
- "SoftKeyStore",
- "Basic",
- "ApiKey"
], - "endPoints": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "context": "/v1",
- "method": "POST",
- "required": true
}
]
}
]Revoke a certificate. The Authority Provider may complete the operation synchronously or asynchronously.
| uuid required | string Authority Instance UUID |
| reason required | string (CertificateRevocationReason) Enum: "unspecified" "keyCompromise" "cACompromise" "affiliationChanged" "superseded" "cessationOfOperation" "certificateHold" "privilegeWithdrawn" "aACompromise" Revocation reason |
required | Array of objects (RequestAttribute) List of RA Profiles attributes |
required | Array of objects (RequestAttribute) List of Attributes to revoke Certificate |
| certificate required | string Base64 Certificate content. (Certificate to be revoked) |
{- "reason": "unspecified",
- "raProfileAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "attributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "certificate": "string"
}{- "message": "Error message"
}Return the current status of an asynchronous certificate revocation.
Called for an asynchronous revocation that previously responded
202 Accepted. For revocation, the certificateData field of the response
is unused (revocation completion carries no payload).
| uuid required | string Authority Instance UUID |
required | Array of objects (RequestAttribute) List of RA Profile attributes |
Array of MetadataAttributeV2 (object) or MetadataAttributeV3 (object) (MetadataAttribute) Technology-specific metadata that was returned by the Authority Provider in the original |
{- "raProfileAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "meta": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "description": "string",
- "version": 0,
- "type": "data",
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "global": false,
- "overwrite": false,
- "protectionLevel": "none"
}
}
]
}{- "status": "inProgress",
- "certificateData": "string",
- "meta": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "description": "string",
- "version": 0,
- "type": "data",
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "global": false,
- "overwrite": false,
- "protectionLevel": "none"
}
}
], - "reason": "string"
}Abort an in-flight certificate revocation.
Called for an asynchronous revocation that previously responded
202 Accepted. The request body carries the RA profile attributes and the
same MetadataAttribute entries returned in the original 202 Accepted
response.
| uuid required | string Authority Instance UUID |
required | Array of objects (RequestAttribute) List of RA Profile attributes |
Array of MetadataAttributeV2 (object) or MetadataAttributeV3 (object) (MetadataAttribute) Technology-specific metadata that was returned by the Authority Provider in the original |
{- "raProfileAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "meta": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "description": "string",
- "version": 0,
- "type": "data",
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "global": false,
- "overwrite": false,
- "protectionLevel": "none"
}
}
]
}[ "CA does not support cancellation", "Revocation already submitted to CRL" ]
| uuid required | string Authority Instance UUID |
| uuid required | string <uuid> UUID of the Attribute |
| name required | string Name of the Attribute |
| contentType required | string (AttributeContentType) Enum: "string" "text" "integer" "boolean" "float" "date" "time" "datetime" "secret" "file" "credential" "codeblock" "object" "resource" Content Type of the Attribute |
Array of BooleanAttributeContentV2 (object) or CodeBlockAttributeContentV2 (object) or CredentialAttributeContentV2 (object) or DateAttributeContentV2 (object) or DateTimeAttributeContentV2 (object) or FileAttributeContentV2 (object) or FloatAttributeContentV2 (object) or IntegerAttributeContentV2 (object) or ObjectAttributeContentV2 (object) or SecretAttributeContentV2 (object) or StringAttributeContentV2 (object) or TextAttributeContentV2 (object) or TimeAttributeContentV2 (object) (BaseAttributeContentDtoV2) | |
| version required | string (AttributeVersion) Version of the Attribute |
[- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]{- "message": "Error message"
}Renew a certificate. The Authority Provider may complete the operation synchronously or asynchronously.
| uuid required | string Authority Instance UUID |
| request required | string Certificate signing request encoded as Base64 string |
| format | string (CertificateRequestFormat) Default: "pkcs10" Enum: "pkcs10" "crmf" Certificate signing request format |
required | Array of objects (RequestAttribute) List of RA Profiles attributes |
| certificate required | string Base64 Certificate content. (Certificate to be renewed) |
required | Array of MetadataAttributeV2 (object) or MetadataAttributeV3 (object) (MetadataAttribute) Metadata for the Certificate |
{- "request": "string",
- "format": "pkcs10",
- "raProfileAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "certificate": "string",
- "meta": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "description": "string",
- "version": 0,
- "type": "data",
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "global": false,
- "overwrite": false,
- "protectionLevel": "none"
}
}
]
}{- "certificateData": "string",
- "uuid": "string",
- "meta": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "description": "string",
- "version": 0,
- "type": "data",
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "global": false,
- "overwrite": false,
- "protectionLevel": "none"
}
}
], - "certificateType": "X.509"
}Issue a certificate. The Authority Provider may complete the operation synchronously or asynchronously.
| uuid required | string Authority Instance UUID |
| request required | string Certificate signing request encoded as Base64 string |
| format | string (CertificateRequestFormat) Default: "pkcs10" Enum: "pkcs10" "crmf" Certificate signing request format |
required | Array of objects (RequestAttribute) List of RA Profiles attributes |
required | Array of objects (RequestAttribute) List of Attributes to issue Certificate |
{- "request": "string",
- "format": "pkcs10",
- "raProfileAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "attributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}{- "certificateData": "string",
- "uuid": "string",
- "meta": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "description": "string",
- "version": 0,
- "type": "data",
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "global": false,
- "overwrite": false,
- "protectionLevel": "none"
}
}
], - "certificateType": "X.509"
}Return the current status of an asynchronous certificate issuance.
Called for an asynchronous issuance or renewal that previously responded
202 Accepted. The request body carries the RA profile attributes and the
same MetadataAttribute entries returned in the original 202 Accepted
response, so the Authority Provider can resolve the operation.
| uuid required | string Authority Instance UUID |
required | Array of objects (RequestAttribute) List of RA Profile attributes |
Array of MetadataAttributeV2 (object) or MetadataAttributeV3 (object) (MetadataAttribute) Technology-specific metadata that was returned by the Authority Provider in the original |
{- "raProfileAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "meta": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "description": "string",
- "version": 0,
- "type": "data",
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "global": false,
- "overwrite": false,
- "protectionLevel": "none"
}
}
]
}{- "status": "inProgress",
- "certificateData": "string",
- "meta": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "description": "string",
- "version": 0,
- "type": "data",
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "global": false,
- "overwrite": false,
- "protectionLevel": "none"
}
}
], - "reason": "string"
}Abort an in-flight certificate issuance or renewal.
Called for an asynchronous issuance, renewal, or rekey that previously
responded 202 Accepted. The request body carries the RA profile
attributes and the same MetadataAttribute entries returned in the
original 202 Accepted response, so the Authority Provider can resolve
the operation it must abort.
| uuid required | string Authority Instance UUID |
required | Array of objects (RequestAttribute) List of RA Profile attributes |
Array of MetadataAttributeV2 (object) or MetadataAttributeV3 (object) (MetadataAttribute) Technology-specific metadata that was returned by the Authority Provider in the original |
{- "raProfileAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "meta": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "description": "string",
- "version": 0,
- "type": "data",
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "global": false,
- "overwrite": false,
- "protectionLevel": "none"
}
}
]
}[ "CA does not support cancellation", "Issuance is past the point of no return" ]
| uuid required | string Authority Instance UUID |
| uuid required | string <uuid> UUID of the Attribute |
| name required | string Name of the Attribute |
| contentType required | string (AttributeContentType) Enum: "string" "text" "integer" "boolean" "float" "date" "time" "datetime" "secret" "file" "credential" "codeblock" "object" "resource" Content Type of the Attribute |
Array of BooleanAttributeContentV2 (object) or CodeBlockAttributeContentV2 (object) or CredentialAttributeContentV2 (object) or DateAttributeContentV2 (object) or DateTimeAttributeContentV2 (object) or FileAttributeContentV2 (object) or FloatAttributeContentV2 (object) or IntegerAttributeContentV2 (object) or ObjectAttributeContentV2 (object) or SecretAttributeContentV2 (object) or StringAttributeContentV2 (object) or TextAttributeContentV2 (object) or TimeAttributeContentV2 (object) (BaseAttributeContentDtoV2) | |
| version required | string (AttributeVersion) Version of the Attribute |
[- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]{- "message": "Error message"
}| uuid required | string Authority Instance UUID |
| certificate required | string Base64 Certificate content. (certificate to be identified) |
required | Array of objects (RequestAttribute) List of RA Profiles attributes |
{- "certificate": "string",
- "raProfileAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}{- "meta": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "description": "string",
- "version": 0,
- "type": "data",
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "global": false,
- "overwrite": false,
- "protectionLevel": "none"
}
}
]
}| uuid required | string Authority Instance UUID |
[- {
- "name": "Attribute",
- "type": "data",
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "description": "string",
- "version": 0,
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "required": false,
- "readOnly": false,
- "list": false,
- "multiSelect": false,
- "protectionLevel": "none",
- "resource": "certificates",
- "extensibleList": false
}, - "constraints": [
- {
- "type": "regExp",
- "errorMessage": "string",
- "description": "string",
- "data": "string"
}
], - "attributeCallback": {
- "callbackContext": "string",
- "callbackMethod": "string",
- "mappings": [
- {
- "from": "string",
- "attributeType": "data",
- "attributeContentType": "string",
- "to": "string",
- "targets": [
- "pathVariable"
], - "value": null
}
]
}
}
]| uuid required | string Authority Instance UUID |
[- {
- "name": "Attribute",
- "type": "data",
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "description": "string",
- "version": 0,
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "required": false,
- "readOnly": false,
- "list": false,
- "multiSelect": false,
- "protectionLevel": "none",
- "resource": "certificates",
- "extensibleList": false
}, - "constraints": [
- {
- "type": "regExp",
- "errorMessage": "string",
- "description": "string",
- "data": "string"
}
], - "attributeCallback": {
- "callbackContext": "string",
- "callbackMethod": "string",
- "mappings": [
- {
- "from": "string",
- "attributeType": "data",
- "attributeContentType": "string",
- "to": "string",
- "targets": [
- "pathVariable"
], - "value": null
}
]
}
}
]Connector Health check API. Connector returns own status and in some cases can return status of services on which it depends like database, HSM and so on.
[- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "attributes": [
- {
- "name": "Attribute",
- "type": "data",
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "description": "string",
- "version": 0,
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "required": false,
- "readOnly": false,
- "list": false,
- "multiSelect": false,
- "protectionLevel": "none",
- "resource": "certificates",
- "extensibleList": false
}, - "constraints": [
- {
- "type": "regExp",
- "errorMessage": "string",
- "description": "string",
- "data": "string"
}
], - "attributeCallback": {
- "callbackContext": "string",
- "callbackMethod": "string",
- "mappings": [
- {
- "from": "string",
- "attributeType": "data",
- "attributeContentType": "string",
- "to": "string",
- "targets": [
- "pathVariable"
], - "value": null
}
]
}
}
]
}
]| name required | string Authority instance name |
| kind required | string Kind of Authority instance |
required | Array of objects (RequestAttribute) List of Authority instance Attributes |
{- "name": "string",
- "kind": "string",
- "attributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}{- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "attributes": [
- {
- "name": "Attribute",
- "type": "data",
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "description": "string",
- "version": 0,
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "required": false,
- "readOnly": false,
- "list": false,
- "multiSelect": false,
- "protectionLevel": "none",
- "resource": "certificates",
- "extensibleList": false
}, - "constraints": [
- {
- "type": "regExp",
- "errorMessage": "string",
- "description": "string",
- "data": "string"
}
], - "attributeCallback": {
- "callbackContext": "string",
- "callbackMethod": "string",
- "mappings": [
- {
- "from": "string",
- "attributeType": "data",
- "attributeContentType": "string",
- "to": "string",
- "targets": [
- "pathVariable"
], - "value": null
}
]
}
}
]
}| uuid required | string Authority Instance UUID |
{- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "attributes": [
- {
- "name": "Attribute",
- "type": "data",
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "description": "string",
- "version": 0,
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "required": false,
- "readOnly": false,
- "list": false,
- "multiSelect": false,
- "protectionLevel": "none",
- "resource": "certificates",
- "extensibleList": false
}, - "constraints": [
- {
- "type": "regExp",
- "errorMessage": "string",
- "description": "string",
- "data": "string"
}
], - "attributeCallback": {
- "callbackContext": "string",
- "callbackMethod": "string",
- "mappings": [
- {
- "from": "string",
- "attributeType": "data",
- "attributeContentType": "string",
- "to": "string",
- "targets": [
- "pathVariable"
], - "value": null
}
]
}
}
]
}| uuid required | string Authority Instance UUID |
| name required | string Authority instance name |
| kind required | string Kind of Authority instance |
required | Array of objects (RequestAttribute) List of Authority instance Attributes |
{- "name": "string",
- "kind": "string",
- "attributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}{- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "attributes": [
- {
- "name": "Attribute",
- "type": "data",
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "description": "string",
- "version": 0,
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "required": false,
- "readOnly": false,
- "list": false,
- "multiSelect": false,
- "protectionLevel": "none",
- "resource": "certificates",
- "extensibleList": false
}, - "constraints": [
- {
- "type": "regExp",
- "errorMessage": "string",
- "description": "string",
- "data": "string"
}
], - "attributeCallback": {
- "callbackContext": "string",
- "callbackMethod": "string",
- "mappings": [
- {
- "from": "string",
- "attributeType": "data",
- "attributeContentType": "string",
- "to": "string",
- "targets": [
- "pathVariable"
], - "value": null
}
]
}
}
]
}| uuid required | string Authority Instance UUID |
| uuid required | string <uuid> UUID of the Attribute |
| name required | string Name of the Attribute |
| contentType required | string (AttributeContentType) Enum: "string" "text" "integer" "boolean" "float" "date" "time" "datetime" "secret" "file" "credential" "codeblock" "object" "resource" Content Type of the Attribute |
Array of BooleanAttributeContentV2 (object) or CodeBlockAttributeContentV2 (object) or CredentialAttributeContentV2 (object) or DateAttributeContentV2 (object) or DateTimeAttributeContentV2 (object) or FileAttributeContentV2 (object) or FloatAttributeContentV2 (object) or IntegerAttributeContentV2 (object) or ObjectAttributeContentV2 (object) or SecretAttributeContentV2 (object) or StringAttributeContentV2 (object) or TextAttributeContentV2 (object) or TimeAttributeContentV2 (object) (BaseAttributeContentDtoV2) | |
| version required | string (AttributeVersion) Version of the Attribute |
[- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]{- "message": "Error message"
}Returns the latest CRL for the Authority Instance. If delta is true, the delta CRL is returned, otherwise the full CRL is returned. When the CRL is not available for Authority Instance, null data is returned.
| uuid required | string Authority Instance UUID |
| delta | boolean Default: false If true, the delta CRL is returned, otherwise the full CRL is returned |
required | Array of objects (RequestAttribute) List of RA Profiles attributes |
{- "delta": false,
- "raProfileAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}{- "crlData": "string"
}Returns the Authority Instance's certificate chain. The chain is returned as a list of Base64 encoded certificates, starting with the Authority Instance's certificate and ending with the root certificate, if available.
| uuid required | string Authority Instance UUID |
required | Array of objects (RequestAttribute) List of RA Profiles attributes | ||||||||||
Array
| |||||||||||
{- "raProfileAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}{- "certificates": [
- {
- "certificateData": "string",
- "uuid": "string",
- "meta": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "description": "string",
- "version": 0,
- "type": "data",
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "global": false,
- "overwrite": false,
- "protectionLevel": "none"
}
}
], - "certificateType": "X.509"
}
]
}| uuid required | string Authority Instance UUID |
[- {
- "name": "Attribute",
- "type": "data",
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "description": "string",
- "version": 0,
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "required": false,
- "readOnly": false,
- "list": false,
- "multiSelect": false,
- "protectionLevel": "none",
- "resource": "certificates",
- "extensibleList": false
}, - "constraints": [
- {
- "type": "regExp",
- "errorMessage": "string",
- "description": "string",
- "data": "string"
}
], - "attributeCallback": {
- "callbackContext": "string",
- "callbackMethod": "string",
- "mappings": [
- {
- "from": "string",
- "attributeType": "data",
- "attributeContentType": "string",
- "to": "string",
- "targets": [
- "pathVariable"
], - "value": null
}
]
}
}
]Connector Attributes API. Provides information about supported Attributes of the connector. Attributes are specific to implementation and gives information about the data that can be exchanged and properly parsed by the connector. Part of this API is validation of the Attributes.
| functionalGroup required | string (FunctionGroupCode) Enum: "credentialProvider" "legacyAuthorityProvider" "authorityProvider" "discoveryProvider" "entityProvider" "complianceProvider" "complianceProviderV2" "cryptographyProvider" "notificationProvider" Function Group |
| kind required | string Kind |
| uuid required | string <uuid> UUID of the Attribute |
| name required | string Name of the Attribute |
| contentType required | string (AttributeContentType) Enum: "string" "text" "integer" "boolean" "float" "date" "time" "datetime" "secret" "file" "credential" "codeblock" "object" "resource" Content Type of the Attribute |
Array of BooleanAttributeContentV2 (object) or CodeBlockAttributeContentV2 (object) or CredentialAttributeContentV2 (object) or DateAttributeContentV2 (object) or DateTimeAttributeContentV2 (object) or FileAttributeContentV2 (object) or FloatAttributeContentV2 (object) or IntegerAttributeContentV2 (object) or ObjectAttributeContentV2 (object) or SecretAttributeContentV2 (object) or StringAttributeContentV2 (object) or TextAttributeContentV2 (object) or TimeAttributeContentV2 (object) (BaseAttributeContentDtoV2) | |
| version required | string (AttributeVersion) Version of the Attribute |
[- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]{- "message": "Error message"
}| functionalGroup required | string (FunctionGroupCode) Enum: "credentialProvider" "legacyAuthorityProvider" "authorityProvider" "discoveryProvider" "entityProvider" "complianceProvider" "complianceProviderV2" "cryptographyProvider" "notificationProvider" Function Group |
| kind required | string Kind |
[- {
- "name": "Attribute",
- "type": "data",
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "description": "string",
- "version": 0,
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "required": false,
- "readOnly": false,
- "list": false,
- "multiSelect": false,
- "protectionLevel": "none",
- "resource": "certificates",
- "extensibleList": false
}, - "constraints": [
- {
- "type": "regExp",
- "errorMessage": "string",
- "description": "string",
- "data": "string"
}
], - "attributeCallback": {
- "callbackContext": "string",
- "callbackMethod": "string",
- "mappings": [
- {
- "from": "string",
- "attributeType": "data",
- "attributeContentType": "string",
- "to": "string",
- "targets": [
- "pathVariable"
], - "value": null
}
]
}
}
]